@import url('general.css');

body,
html {
    height: 100%;
    margin: 0;
    font-family: Lato, sans-serif;
    padding: 10px;
}

.auth-left-content {
    background:
        linear-gradient(180deg,
            rgba(0, 0, 0, 0.95) 0%,
            /* Top - 80% black */
            rgba(0, 0, 0, 0.65) 20%,
            /* Slightly lighter */
            rgba(0, 0, 0, 0.0) 50%,
            /* Fully transparent middle */
            rgba(0, 0, 0, 0.65) 80%,
            /* Fade back in */
            rgba(0, 0, 0, 0.95) 100%
            /* Bottom - 80% black */
        ),
        url('../images/auth-background.png');
    background-size: cover;
    background-position: center;
    height: 100%;
    border-radius: 14px;
    padding: 30px 0;
}


.auth-logo {
    width: 180px;
}

.auth-subtitle {
    position: absolute;
    bottom: 30px;
    width: 100%;
    text-align: center;
    font-family: Lato;
    font-weight: 500;
    font-style: Medium;
    font-size: 20px;
    line-height: 24px;
    letter-spacing: 0px;
    padding: 0 30px;
    color: #ffffff;
}

h2 {
    font-family: Lato;
    font-weight: 600;
    font-style: SemiBold;
    font-size: 54px;
    line-height: 100%;
    letter-spacing: 0%;
    color: #333333;
}

.redirect-action {
    font-family: Lato;
    font-weight: 400;
    font-style: Regular;
    font-size: 24px;
    line-height: 100%;
    letter-spacing: 0%;
}

.auth-btn {
    height: 50px;
    border-radius: 50px !important;

}

.or-divider {
    color: #7F7F7F;
    font-family: Lato;
    font-weight: 400;
    font-style: Regular;
    font-size: 14px;
    line-height: 100%;
    letter-spacing: 0%;

}

.or-divider hr {
    width: 40%;
    color: #7F7F7F;
}

.auth-btn-social {
    border: 1px solid #E6E6E6;
    height: 50px;
    border-radius: 50px !important;
    width: calc(50% - 0.125rem);
    font-family: Lato;
    font-weight: 400;
    font-style: Regular;
    font-size: 16px;
    line-height: 100%;
    color: #4C4C4C;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.auth-btn-social img {
    width: 24px;
    height: 24px;
}

.input-icon {
    position: absolute;
    height: 42px;
    width: 42px;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%)
        /* warning: gradient uses a rotation that is not supported by CSS and may not behave as expected */
    ;
    border-radius: 22px;
    bottom: 4px;
    left: 4px;
}

.input-with-icon input {
    height: 50px;
    border-radius: 50px;
    padding-left: 60px;
}

.auth-badge {
    width: 130px;
    height: 130px;
    background: var(--bs-primary);
    margin: 0 auto;
    margin-bottom: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 70px;
    box-shadow: 0px 5px 4px 0px #00000033 inset;
}

h3 {
    font-family: Lato;
    font-weight: 600;
    font-style: SemiBold;
    font-size: 30px;
    line-height: 100%;
    letter-spacing: 0px;
    text-align: center;

}

.otp-input {
    height: 60px;
    width: 60px;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%)
        /* warning: gradient uses a rotation that is not supported by CSS and may not behave as expected */
    ;
    border-radius: 10px;
    text-align: center;
    transition: all 0.2s ease;
    outline: none;
    border: 1px solid;

    border-image-source: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%)
        /* warning: gradient uses a rotation that is not supported by CSS and may not behave as expected */
    ;


}

.otp-input.has-value {
    border: 2px solid var(--bs-primary);
}

@media (max-width: 480px) {

    .auth-left-col {
        display: none;
    }

    h2 {
        font-size: 24px;
    }

    .redirect-action {
        font-size: 16px;
    }

    .input-with-icon input {
        height: 44px;
        border-radius: 50px;
        padding-left: 52px;
    }

    .input-icon {
        position: absolute;
        height: 36px;
        width: 36px;
        bottom: 4px;
        left: 4px;
    }

    .social-btn-group {
        display: block !important;
    }

    .auth-btn-social {
        width: 100% !important;
        margin-bottom: 10px;
        font-size: 14px;
    }

    .brand-logo-mobile {
        width: 170px;
    }

    h3 {
        font-size: 16px;
    }

    p {
        font-size: 14px;
    }
    .otp-input {
        width: 50px;
        height: 50px;

    }
}